#ifndef _ODE_STEP_EULER_H_
#define _ODE_STEP_EULER_H_

#include "types.h"

/* Explicit Integrator Step Function: Euler's Method */
int ode_step_euler(ODEFunc f, const ODEData *start, ODEData *end,
                   ODEFloat h, ODESimDataUpdateCB simDataUpdateCB,
                   ODESimDataAllocateCB simDataAllocateCB,
                   ODESimDataFreeCB simDataFreeCB, ODESimDataCopyCB simDataCopyCB,
                   void **_stepData, ODEStepDataFreeCB *stepDataFreeCB);

#endif /* _ODE_STEP_EULER_H_ */
