#include <stdio.h>
#include <stdlib.h>

int main(int argc, const char **argv) {
	int v, t;
        int n_v, step;
	float x, y;

	if(argc < 2) {
		step = 100;
		n_v = 17;
	} else if(argc < 3) {
		step = atoi(argv[1]);
		n_v = 17;
	} else {
		step = atoi(argv[1]);
		n_v = atoi(argv[2]);
	}

	printf("verts %d\n", n_v);
        printf("start 0\n");
        printf("end 1000\n");
        printf("step %d\n", step);

	printf("cube -0.25 -1.0 -0.25 -0.5 0.25 -0.5 0.25 -1.0\n");
	for(t=0; t <= 1000; t += step) {
		for(v=0; v < n_v; v++) {
                        /* 128 segments */
			x = ((float)v / (float)(n_v - 1)) - 0.5;
			y = 1.0 - 1.8 * (float)t / 1000.0;

			printf("time %d vert %d %f %f\n", t, v, x, y);
		}
	}

	return 0;
}
