#ifndef _ODE_STEP_MIDPOINT_H_
#define _ODE_STEP_MIDPOINT_H_

#include "types.h"

/* Explicit Integrator Step Function: Midpoint Method */
int ode_step_midpoint(ODEFunc f, const ODEData *start, ODEData *end,
                      ODEFloat h, ODESimDataUpdateCB simDataUpdateCB,
                      ODESimDataAllocateCB simDataAllocateCB,
                      ODESimDataFreeCB simDataFreeCB, ODESimDataCopyCB simDataCopyCB,
                      void **_stepData, ODEStepDataFreeCB *stepDataFreeCB);

#endif /* _ODE_STEP_MIDPOINT_H_ */
